org.apache.maven.scm.command.add

## Class AddScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.add.AddScmResult

- All Implemented Interfaces:
    Serializable

      public class AddScmResult
      extends ScmResult

  Result of adding files to the SCM
  Version:
    $Id: AddScmResult.java 522876 2007-03-27 12:00:48Z evenisse $
  Author:
    Brett Porter
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddScmResult(List addedFiles, ScmResult result)`
    `AddScmResult(String commandLine, List addedFiles)`
    `AddScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getAddedFiles()` List with all the added files in the SCM operation.

    - ### Methods inherited from class org.apache.maven.scm.ScmResult

      `getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddScmResult

          public AddScmResult(String commandLine,
                      String providerMessage,
                      String commandOutput,
                      boolean success)

    - #### AddScmResult

          public AddScmResult(String commandLine,
                      List addedFiles)

    - #### AddScmResult

          public AddScmResult(List addedFiles,
                      ScmResult result)

  - ### Method Detail

    - #### getAddedFiles

          public List getAddedFiles()

      List with all the added files in the SCM operation.
      Returns:
        non null list of added files

Copyright © 2003–2015. All rights reserved.